<script lang="ts">
  import { inputScrollTracker } from '@web-common/hooks/input-tracking/input-scroll-tracker.js';
  import { onMount } from 'svelte';
  import Links from './Links.svelte';

  let bar: HTMLSpanElement;

  onMount(() => {
    const { subscribe, cleanUp } = inputScrollTracker();
    subscribe(({ scrollTop }) => {
      if (scrollTop > 50) {
        bar.classList.add('show');
        bar.classList.remove('hide');
      } else {
        bar.classList.add('hide');
        bar.classList.remove('show');
      }
    });
    return () => cleanUp();
  });
</script>

<nav class="nav">
  <span
    bind:this={bar}
    class="bar hide" />
  <div class="w-full">
    <Links />
  </div>

  <!-- <div class="account"><Avatar /></div> -->
</nav>

<style lang="postcss">
  .nav {
    display: flex;

    /* width: calc(100% - (25px * 2)); */
    width: 100%;
    margin-top: var(--content-margin);
    margin-inline: 25px;

    & .bar {
      position: absolute;
      z-index: -1;
      left: 15px;
      width: calc(100% - (15px * 2));
      height: 45px;
      border-radius: var(--radius-4);
      background-color: rgb(255 255 255 / 50%);

      &.show {
        opacity: 1;
        transition: opacity 1s;
      }

      &.hide {
        opacity: 0;
        transition: opacity 1s;
      }
    }

    & .account {
      display: flex;
      margin-left: 10px;
      padding-block: 5px;
    }

    :global(ol) {
      display: flex;
      height: 100%;
      align-items: center;
      justify-content: flex-end;
      margin: 0;
    }

    :global(li:first-child) {
      display: inline-flex;
      margin-right: auto;
    }

    :global(li:not(:first-child)) {
      display: inline-flex;
      justify-content: flex-end;
      margin-left: 0.7rem;
    }

    :global(a) {
      width: 100%;
      height: 100%;
      justify-content: center;
      color: black;
    }

    :global(.logo) {
      width: 10em;
      height: 2em;
      margin: 0;
      object-fit: contain;
    }
  }
</style>
